<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetServersFormulas](./bitburner.hacknetserversformulas.md) &gt; [constants](./bitburner.hacknetserversformulas.constants.md)

## HacknetServersFormulas.constants() method

All constants used by the game.

**Signature:**

```typescript
constants(): HacknetServerConstants;
```
**Returns:**

[HacknetServerConstants](./bitburner.hacknetserverconstants.md)

An object with all hacknet server constants used by the game.

